import { View } from '@tarojs/components'
import Jianbian from "@/components/Jianbian"
import MyCell from "../MyCell"
import MyButton from "../MyButton"
import './style.less'

export default (props) => {
  const { detail, order, job, value, onClick, goDetail } = props
  return (
    <View className='card'>
      <Jianbian status={job ? value?.status : value?.workStatus} />
      <View className='cardHead'>
        {
          //首页作业列表卡片
          job && !detail && <MyCell header='需求时间' job action='详情>>' handleAction={goDetail}>{value?.appointmentDate?.substr(0, 10)}</MyCell>
        }
        {
          (!job || job && detail) && <MyCell header='需求时间'>{value?.appointmentDate?.substr(0, 10)}</MyCell>
        }
      </View>
      <View className='line' />
      <MyCell header='订单号'>{value?.orderNo}</MyCell>
      {
        job ?
          <MyCell header='农机名称'>{value?.machineryName}</MyCell> :
          <MyCell header='农机类型'>{value?.typeName}</MyCell>
      }
      <MyCell header='下单人'>{value?.personName}</MyCell>
      <MyCell header='手机号'>{value?.phone}</MyCell>
      <MyCell header='订单时间'>{value?.createDate.substr(0, 10)}</MyCell>
      {
        detail && <MyCell header='服务地址'>{value?.address}</MyCell>
      }
      {
        job && <MyCell header='作业时间'><View>{value?.startDate}</View><View>{value?.endDate}</View></MyCell>
      }
      <MyCell header='订单费用'>{(value?.charges && value.charges / 100) || 600}元</MyCell>
      {
        job && value?.status != 3 && <MyButton value={value?.status == 0 ? '开始作业' : '完成作业'} onClick={onClick} />
      }
      {
        order && <View className='line' />
      }
      {
        order && <View className='footer' onClick={goDetail}>详情{">"}{">"}</View>
      }
    </View>
  )
}